MWAWTextListenerInternal::DocumentState Struct Reference

a class to store the document state of a MWAWTextListener More...

## Public Member Functions

| DocumentState (std::vector< MWAWPageSpan > const &pageList)
| constructor
| ~DocumentState ()
| destructor

## Public Attributes

std::vector< MWAWPageSpan > | m_pageList
| the pages definition
MWAWPageSpan | m_pageSpan
| the current page span
librevenge::RVNGPropertyList | m_metaData
| the document meta data
int | m_footNoteNumber
| footnote number
int | m_endNoteNumber
| endnote number
int | m_smallPictureNumber
| number of small picture
bool | m_isDocumentStarted
| a flag to know if the document is open
bool | m_isHeaderFooterStarted
| a flag to know if the header footer is started
std::vector< int > | m_sentListMarkers
| the list of marker corresponding to sent list
std::vector< MWAWSubDocumentPtr > | m_subDocuments

## Private Member Functions

| DocumentState (const DocumentState &)=delete
| list of document actually open
DocumentState & | operator= (const DocumentState &)=delete

## Detailed Description

a class to store the document state of a MWAWTextListener

## Constructor & Destructor Documentation

## DocumentState() [1/2]

MWAWTextListenerInternal::DocumentState::DocumentState | ( | std::vector< MWAWPageSpan > const & | pageList | ) |

inline explicit

constructor

Referenced by DocumentState(), and operator=().

## ~DocumentState()

MWAWTextListenerInternal::DocumentState::~DocumentState | ( |  | ) |

inline

destructor

## DocumentState() [2/2]

MWAWTextListenerInternal::DocumentState::DocumentState | ( | const DocumentState & |  | ) |

private delete

list of document actually open

## Member Function Documentation

## operator=()

DocumentState & MWAWTextListenerInternal::DocumentState::operator= | ( | const DocumentState & |  | ) |

private delete

## Member Data Documentation

## m_endNoteNumber

int MWAWTextListenerInternal::DocumentState::m_endNoteNumber

endnote number

Referenced by DocumentState().

## m_footNoteNumber

int MWAWTextListenerInternal::DocumentState::m_footNoteNumber

footnote number

Referenced by DocumentState().

## m_isDocumentStarted

bool MWAWTextListenerInternal::DocumentState::m_isDocumentStarted

a flag to know if the document is open

Referenced by DocumentState().

## m_isHeaderFooterStarted

bool MWAWTextListenerInternal::DocumentState::m_isHeaderFooterStarted

a flag to know if the header footer is started

Referenced by DocumentState().

## m_metaData

librevenge::RVNGPropertyList MWAWTextListenerInternal::DocumentState::m_metaData

the document meta data

Referenced by DocumentState().

## m_pageList

std::vector<MWAWPageSpan> MWAWTextListenerInternal::DocumentState::m_pageList

the pages definition

Referenced by DocumentState().

## m_pageSpan

MWAWPageSpan MWAWTextListenerInternal::DocumentState::m_pageSpan

the current page span

Referenced by DocumentState().

## m_sentListMarkers

std::vector<int> MWAWTextListenerInternal::DocumentState::m_sentListMarkers

the list of marker corresponding to sent list

Referenced by DocumentState().

## m_smallPictureNumber

int MWAWTextListenerInternal::DocumentState::m_smallPictureNumber

number of small picture

Referenced by DocumentState().

## m_subDocuments

std::vector<MWAWSubDocumentPtr> MWAWTextListenerInternal::DocumentState::m_subDocuments

Referenced by DocumentState().

The documentation for this struct was generated from the following file:

- MWAWTextListener.cxx